Bug Hunting Session
Bug 90001 - EDITING: Delete firsts or lasts sheets used in 3D formulas generates a #REF error
Summary: EDITING: Delete firsts or lasts sheets used in 3D formulas generates a #REF e...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.7.2 release
Hardware: Other All
: medium normal
Assignee: Markus Mohrhard
URL:
Whiteboard: target:4.5.0 target:5.1.0 target:5.0....
Keywords: bibisected, regression
Depends on:
Blocks:
 
Reported: 2015-03-14 12:01 UTC by pierre-yves samyn
Modified: 2016-10-25 19:21 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
References3D.ods (includes 3D formula) (20.22 KB, application/vnd.oasis.opendocument.spreadsheet)
2015-03-14 12:01 UTC, pierre-yves samyn
Details

Note You need to log in before you can comment on or make changes to this bug.
Description pierre-yves samyn 2015-03-14 12:01:59 UTC
Created attachment 114090 [details]
References3D.ods (includes 3D formula)

Hi

Delete firsts or lasts sheets used in 3D formulas generates a #REF error 

Steps to reproduce:

1. Having a 3D formula like : =SUM(SEL1.C10:SEL10.C10)
2. Right click SEL1 (or SEL10) tab > Delete Sheet

Expected result: formula changed to =SUM(SEL2.C10:SEL10.C10)
Actual result: =SUM(#REF!.C10:SEL10.C10)

I set status to New because reproduced (fr-user) on:
- windows 7/64 & Version: 4.4.2.1
Build ID: 93fc8832889bf050a10ec6d0171dae213adc9b55
Locale: fr_FR
- Linux Mint 17.1 (Mate) & 4.2.7.2

I set REGRESSION because was ok for instance with
4.1.2.3 etait utilisée sous Mint 16

Regards
Pierre-Yves
Comment 1 m.a.riosv 2015-03-14 15:21:49 UTC
Seems regression is from 4.2 series. I can reproduce from 4.2.8 up to master 4.5.0.0.alpha0+

Works fine with 4.1.6.2

Also undo doesn't undo the break formula.
Comment 2 Jacques Guilleron 2015-03-14 19:45:49 UTC
Hi,

I confirm too not updated formula after deleting sheet(s), from 
LO 4.2.0.0.beta1 Build ID: f4ca7b35f580827ad2c69ea6d29f7c9b48ebbac7
up to LO 4.5.0.0.alpha0+ Build ID: b09c594fdd6bf5624da42a96a0fc00e727698f4a
TinderBox: Win-x86@39, Branch:master, Time: 2015-02-24_05:17:01
with windows 7 Home Premium.

Works fine with LO 4.1.6.2 Build ID: 40ff705089295be5be0aae9b15123f687c05b0a

Jacques
Comment 3 Matthew Francis 2015-03-17 03:00:59 UTC
Bibisect result from 43all:

ba096f438393091574da98fe7b8e6b05182a8971 is the first bad commit
commit ba096f438393091574da98fe7b8e6b05182a8971
Author: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>
Date:   Thu Oct 17 20:00:21 2013 +0000

    source-hash-8499e78ca03c792f4fa2650e02b519094ba0baa8


# bad: [752769ad0d2179e17ea0a08cc9004df7b890305b] source-hash-60c64b437c6678dd1d3fa3a6fc2b7da0480890d4
# good: [c2069a369d738078124812312d51f21ea1ce2421] source-hash-f160e4935c474a5293b3d3c11b3d538efb4767a0
git bisect start 'last42onmaster' 'last41onmaster'
# bad: [186181c7d6a957b0fcdbc7ff66866f1abfff988e] source-hash-79850f25987d12c8ee91dfd0f699a562f341bf67
git bisect bad 186181c7d6a957b0fcdbc7ff66866f1abfff988e
# good: [4e504a2344a5356cdcabe4a091f2e626b40aaede] source-hash-f39e8cadc74573a787641615406777da5a9e5343
git bisect good 4e504a2344a5356cdcabe4a091f2e626b40aaede
# bad: [92e8808c5d3f3e54366b8bf66bcbd7bb65089c3e] source-hash-d1cbaee70d3f922937a1993914436c8fc899ebfc
git bisect bad 92e8808c5d3f3e54366b8bf66bcbd7bb65089c3e
# bad: [c685b5d1aeea7ba2813f740e4c5297152e17a6b5] source-hash-83ff6c0f4101fe4f25c2b4a58c70b40de8cc2ff2
git bisect bad c685b5d1aeea7ba2813f740e4c5297152e17a6b5
# bad: [ba096f438393091574da98fe7b8e6b05182a8971] source-hash-8499e78ca03c792f4fa2650e02b519094ba0baa8
git bisect bad ba096f438393091574da98fe7b8e6b05182a8971
# good: [b5e6283a204221f3f9f830c2b3b75c195f8a51bc] source-hash-f4546b72702dbe30505594a8307dd402e81a0303
git bisect good b5e6283a204221f3f9f830c2b3b75c195f8a51bc
# good: [2d9baecf3ce2ea1ec8bea3e842eed595061eeef6] source-hash-ff51a2b64571a8d72ff4d8a8181d17cf98c42e69
git bisect good 2d9baecf3ce2ea1ec8bea3e842eed595061eeef6
# first bad commit: [ba096f438393091574da98fe7b8e6b05182a8971] source-hash-8499e78ca03c792f4fa2650e02b519094ba0baa8
Comment 4 Commit Notification 2015-03-28 15:39:58 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=be1b3daeeb64a44e577510561d02147b87db72c2

3D refs with more than one sheet should not set sheets deleted, tdf#90001

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2015-03-28 15:40:02 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7937984a6a04446c0d3484832e6748ad925ddc80

test for tdf#90001

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 pierre-yves samyn 2015-04-26 10:16:29 UTC
Hi

Thank you to work on this problem.

The patch is ok for deleting "last" sheet(s) (used in the formula), e.g. SEL10 with SUM(SEL1.C10:SEL10.C10)

Expected & actual result : SUM(SEL1.C10:SEL9.C10)

But the patch is *not* ok for deleting "first" sheet(s), e.g. SEL1

Expected result : SUM(SEL2.C10:SEL10.C10)
Actual result : SUM(SEL3.C10:SEL10.C10)

Platform: Windows 7/64 & Version: 5.0.0.0.alpha1+
Build ID: 636c5a63d67b52b0d2f9f21a863c45eca6ac9ff7
TinderBox: Win-x86@42, Branch:master, Time: 2015-04-21_23:00:42
Locale: fr_FR

Regards
Pierre-Yves
Comment 7 Commit Notification 2015-06-09 21:43:46 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=20e4ccc6ba366cd70c9218e016ccff4025e3d816

correct 3D reference update on sheet deletion, tdf#90001 follow-up

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2015-06-09 21:43:49 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=782c116b5ac39aef27c3a00f7fc145c9f755e3a3

more tests for the implemented cases, tdf#90001

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2015-06-09 21:49:38 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=78fc4b66fe2d2c9c45cb90202679ebf5f490ffc5&h=libreoffice-5-0

correct 3D reference update on sheet deletion, tdf#90001 follow-up

It will be available in 5.0.0.0.beta4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2015-06-09 21:49:42 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d7163dfa5c207f973d226e494c1620651c2b2b75&h=libreoffice-5-0

more tests for the implemented cases, tdf#90001

It will be available in 5.0.0.0.beta4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2015-06-12 11:31:33 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6dc76e60cadf0457f596b2f51143a2da552521f0&h=libreoffice-4-4

3D refs with more than one sheet should not set sheets deleted, tdf#90001

It will be available in 4.4.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Robinson Tryon (qubit) 2015-12-17 08:49:01 UTC Comment hidden (obsolete)